Index: fittingview/src/sans/perspectives/fitting/basepage.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/basepage.py	(revision f992a06e61976845619bed3fe4df39c8886b2432)
+++ fittingview/src/sans/perspectives/fitting/basepage.py	(revision ef26c8354b6185342ee4ec2f74e2fe34c632c808)
@@ -5,10 +5,10 @@
 import numpy
 import time
-import copy 
+import copy
 import math
 import string
 from wx.lib.scrolledpanel import ScrolledPanel
 from sans.guiframe.panel_base import PanelBase
-from sans.guiframe.utils import format_number,check_float
+from sans.guiframe.utils import format_number, check_float
 from sans.guiframe.events import PanelOnFocusEvent
 from sans.guiframe.events import StatusEvent
@@ -22,7 +22,7 @@
 from pagestate import PageState
 
-(PageInfoEvent, EVT_PAGE_INFO)   = wx.lib.newevent.NewEvent()
-(PreviousStateEvent, EVT_PREVIOUS_STATE)   = wx.lib.newevent.NewEvent()
-(NextStateEvent, EVT_NEXT_STATE)   = wx.lib.newevent.NewEvent()
+(PageInfoEvent, EVT_PAGE_INFO) = wx.lib.newevent.NewEvent()
+(PreviousStateEvent, EVT_PREVIOUS_STATE) = wx.lib.newevent.NewEvent()
+(NextStateEvent, EVT_NEXT_STATE) = wx.lib.newevent.NewEvent()
 
 _BOX_WIDTH = 76
@@ -30,6 +30,6 @@
 _QMAX_DEFAULT = 0.5
 _NPTS_DEFAULT = 50
-#Control panel width 
-if sys.platform.count("win32")> 0:
+#Control panel width
+if sys.platform.count("win32") > 0:
     PANEL_WIDTH = 450
     FONT_VARIANT = 0
@@ -41,15 +41,14 @@
 
 
-
 class BasicPage(ScrolledPanel, PanelBase):
     """
     This class provide general structure of  fitpanel page
     """
-     ## Internal name for the AUI manager
+    ## Internal name for the AUI manager
     window_name = "Fit Page"
     ## Title to appear on top of the window
     window_caption = "Fit Page "
     
-    def __init__(self, parent,color='blue', **kwargs):
+    def __init__(self, parent, color='blue', **kwargs):
         """
         """
@@ -57,5 +56,5 @@
         PanelBase.__init__(self, parent)
         self.SetupScrolling()
-        #Set window's font size 
+        #Set window's font size
         self.SetWindowVariant(variant=FONT_VARIANT)
       
@@ -66,5 +65,5 @@
         ## owner of the page (fitting plugin)
         self.event_owner = None
-         ## current model
+        ## current model
         self.model = None
         self.index_model = None
@@ -94,8 +93,8 @@
         ## 2D smear accuracy default
         self.smear2d_accuracy = 'Low'
-        ## slit smear: 
+        ## slit smear:
         self.dxl = None
         self.dxw = None
-        ## pinhole smear 
+        ## pinhole smear
         self.dx_min = None
         self.dx_max = None
@@ -110,5 +109,5 @@
         self._disp_obj_dict = {}
         ## selected parameters to apply dispersion
-        self.disp_cb_dict ={}
+        self.disp_cb_dict = {}
         ## smearer object
         self.enable2D = False
@@ -152,10 +151,10 @@
         self.number_saved_state = 0
         ## dictionary of saved state
-        self.saved_states = {} 
+        self.saved_states = {}
         ## Create context menu for page
         self.popUpMenu = wx.Menu()
     
         id = wx.NewId()
-        self._keep = wx.MenuItem(self.popUpMenu,id,"Add bookmark",
+        self._keep = wx.MenuItem(self.popUpMenu, id, "Add bookmark",
                                  " Keep the panel status to recall it later")
         self.popUpMenu.AppendItem(self._keep)
@@ -167,5 +166,5 @@
     
         ## Default locations
-        self._default_save_location = os.getcwd()     
+        self._default_save_location = os.getcwd()
         ## save initial state on context menu
         #self.onSave(event=None)
@@ -177,5 +176,5 @@
         ## create the basic structure of the panel with empty sizer
         self.define_page_structure()
-        ## drawing Initial dispersion parameters sizer 
+        ## drawing Initial dispersion parameters sizer
         self.set_dispers_sizer()
         
@@ -191,5 +190,5 @@
     def create_default_data(self):
         """
-        Given the user selection, creates a 1D or 2D data 
+        Given the user selection, creates a 1D or 2D data
         Only when the page is on theory mode.
         """
@@ -206,6 +205,6 @@
                     self._manager.page_finder[self.uid].set_fit_data(data=[self.data])
             self.on_smear_helper(update=True)
-            self.state.enable_smearer=  self.enable_smearer.GetValue()
-            self.state.disable_smearer=self.disable_smearer.GetValue()
+            self.state.enable_smearer = self.enable_smearer.GetValue()
+            self.state.disable_smearer = self.disable_smearer.GetValue()
             self.state.pinhole_smearer = self.pinhole_smearer.GetValue()
             self.state.slit_smearer = self.slit_smearer.GetValue()
@@ -213,17 +212,17 @@
     def _create_default_1d_data(self):
         """
-        Create default data for fitting perspective 
+        Create default data for fitting perspective
         Only when the page is on theory mode.
         :warning: This data is never plotted.
         
         """
-        x = numpy.linspace(start=self.qmin_x, stop=self.qmax_x, 
+        x = numpy.linspace(start=self.qmin_x, stop=self.qmax_x,
                            num=self.npts_x, endpoint=True)
         self.data = Data1D(x=x)
-        self.data.xaxis('\\rm{Q}',"A^{-1}")
+        self.data.xaxis('\\rm{Q}', "A^{-1}")
         self.data.yaxis('\\rm{Intensity}', "cm^{-1}")
         self.data.is_data = False
-        self.data.id = str(self.uid) + " data" 
-        self.data.group_id = str(self.uid) + " Model1D" 
+        self.data.id = str(self.uid) + " data"
+        self.data.group_id = str(self.uid) + " Model1D"
        
     def _create_default_2d_data(self):
@@ -238,11 +237,11 @@
         self.data.yaxis('\\rm{Q_{y}}', 'A^{-1}')
         self.data.is_data = False
-        self.data.id = str(self.uid) + " data" 
-        self.data.group_id = str(self.uid) + " Model2D" 
-        ## Default values    
-        self.data.detector.append(Detector())  
+        self.data.id = str(self.uid) + " data"
+        self.data.group_id = str(self.uid) + " Model2D"
+        ## Default values
+        self.data.detector.append(Detector())
         index = len(self.data.detector) - 1
-        self.data.detector[index].distance = 8000   # mm        
-        self.data.source.wavelength= 6         # A      
+        self.data.detector[index].distance = 8000   # mm
+        self.data.source.wavelength = 6             # A
         self.data.detector[index].pixel_size.x = 5  # mm
         self.data.detector[index].pixel_size.y = 5  # mm
@@ -250,11 +249,11 @@
         self.data.detector[index].beam_center.y = qmax
         ## create x_bins and y_bins of the model 2D
-        pixel_width_x = self.data.detector[index].pixel_size.x
-        pixel_width_y = self.data.detector[index].pixel_size.y
-        center_x = self.data.detector[index].beam_center.x/pixel_width_x
-        center_y = self.data.detector[index].beam_center.y/pixel_width_y
-        # theory default: assume the beam 
+        #pixel_width_x = self.data.detector[index].pixel_size.x
+        #pixel_width_y = self.data.detector[index].pixel_size.y
+        #center_x = self.data.detector[index].beam_center.x/pixel_width_x
+        #center_y = self.data.detector[index].beam_center.y/pixel_width_y
+        # theory default: assume the beam
         #center is located at the center of sqr detector
-        xmax = qmax 
+        xmax = qmax
         xmin = -qmax
         ymax = qmax
@@ -262,41 +261,41 @@
         qstep = self.npts_x
 
-        x = numpy.linspace(start=xmin, stop=xmax, num=qstep, endpoint=True)  
+        x = numpy.linspace(start=xmin, stop=xmax, num=qstep, endpoint=True)
         y = numpy.linspace(start=ymin, stop=ymax, num=qstep, endpoint=True)
         ## use data info instead
         new_x = numpy.tile(x, (len(y), 1))
         new_y = numpy.tile(y, (len(x), 1))
-        new_y = new_y.swapaxes(0,1)
+        new_y = new_y.swapaxes(0, 1)
         # all data reuire now in 1d array
         qx_data = new_x.flatten()
         qy_data = new_y.flatten()
-        q_data = numpy.sqrt(qx_data*qx_data + qy_data*qy_data)
+        q_data = numpy.sqrt(qx_data * qx_data + qy_data * qy_data)
         # set all True (standing for unmasked) as default
         mask = numpy.ones(len(qx_data), dtype=bool)
         # calculate the range of qx and qy: this way,
         # it is a little more independent
-        x_size = xmax - xmin
-        y_size = ymax - ymin
+        #x_size = xmax - xmin
+        #y_size = ymax - ymin
         # store x and y bin centers in q space
-        x_bins  = x
-        y_bins  = y 
+        x_bins = x
+        y_bins = y
         # bin size: x- & y-directions
-        xstep = x_size/len(x_bins-1)
-        ystep = y_size/len(y_bins-1)
+        #xstep = x_size / len(x_bins - 1)
+        #ystep = y_size / len(y_bins - 1)
   
         self.data.source = Source()
         self.data.data = numpy.ones(len(mask))
         self.data.err_data = numpy.ones(len(mask))
-        self.data.qx_data = qx_data 
-        self.data.qy_data = qy_data  
-        self.data.q_data = q_data 
-        self.data.mask = mask            
-        self.data.x_bins = x_bins  
-        self.data.y_bins = y_bins   
+        self.data.qx_data = qx_data
+        self.data.qy_data = qy_data
+        self.data.q_data = q_data
+        self.data.mask = mask
+        self.data.x_bins = x_bins
+        self.data.y_bins = y_bins
         # max and min taking account of the bin sizes
-        self.data.xmin = xmin 
+        self.data.xmin = xmin
         self.data.xmax = xmax
-        self.data.ymin = ymin 
-        self.data.ymax = ymax 
+        self.data.ymin = ymin
+        self.data.ymax = ymax
 
     def on_set_focus(self, event):
@@ -314,12 +313,12 @@
         if self._manager.menu1 != None:
             chain_menu = self._manager.menu1.FindItemById(\
-                                                    self._manager.id_reset_flag)
+                                                   self._manager.id_reset_flag)
             chain_menu.Enable(self.batch_on)
             sim_menu = self._manager.menu1.FindItemById(self._manager.id_simfit)
             flag = self.data.is_data\
-                            and (self.model!=None)
+                            and (self.model != None)
             sim_menu.Enable(not self.batch_on and flag)
             batch_menu = self._manager.menu1.FindItemById(self._manager.id_batchfit)
-            batch_menu.Enable(self.batch_on and flag) 
+            batch_menu.Enable(self.batch_on and flag)
     
     class ModelTextCtrl(wx.TextCtrl):
@@ -340,9 +339,9 @@
         _on_set_focus_callback = None
         
-        def __init__(self, parent, id=-1, 
-                     value=wx.EmptyString, 
-                     pos=wx.DefaultPosition, 
+        def __init__(self, parent, id=-1,
+                     value=wx.EmptyString,
+                     pos=wx.DefaultPosition,
                      size=wx.DefaultSize,
-                     style=0, 
+                     style=0,
                      validator=wx.DefaultValidator,
                      name=wx.TextCtrlNameStr,
@@ -350,5 +349,5 @@
                      set_focus_callback=None,
                      mouse_up_callback=None,
-                     text_enter_callback = None):
+                     text_enter_callback=None):
              
             wx.TextCtrl.__init__(self, parent, id, value, pos,
@@ -360,9 +359,9 @@
             self.Bind(wx.EVT_SET_FOCUS, self._on_set_focus)
             self.Bind(wx.EVT_KILL_FOCUS, self._silent_kill_focus \
-                      if kill_focus_callback is None else kill_focus_callback)                
+                      if kill_focus_callback is None else kill_focus_callback)
             self.Bind(wx.EVT_TEXT_ENTER, parent._onparamEnter \
                       if text_enter_callback is None else text_enter_callback)
-            if not ON_MAC :
-                self.Bind(wx.EVT_LEFT_UP,    self._highlight_text \
+            if not ON_MAC:
+                self.Bind(wx.EVT_LEFT_UP, self._highlight_text \
                           if mouse_up_callback is None else mouse_up_callback)
             
@@ -379,6 +378,4 @@
             return self._on_set_focus_callback(event)
         
- 
-            
         def _highlight_text(self, event):
             """
@@ -390,16 +387,16 @@
             # Make sure the mouse event is available to other listeners
             event.Skip()
-            control  = event.GetEventObject()
+            control = event.GetEventObject()
             if self.full_selection:
                 self.full_selection = False
                 # Check that we have a TextCtrl
                 if issubclass(control.__class__, wx.TextCtrl):
-                    # Check whether text has been selected, 
+                    # Check whether text has been selected,
                     # if not, select the whole string
                     (start, end) = control.GetSelection()
-                    if start==end:
-                        control.SetSelection(-1,-1)
+                    if start == end:
+                        control.SetSelection(-1, -1)
                         
-        def _silent_kill_focus(self,event):
+        def _silent_kill_focus(self, event):
             """
             Save the state of the page
@@ -413,13 +410,13 @@
         set some page important information at once
         """
-       ##window_name
+        ##window_name
         self.window_name = page_info.window_name
         ##window_caption
         self.window_caption = page_info.window_caption
         ## manager is the fitting plugin
-        self._manager= page_info.manager
+        self._manager = page_info.manager
         ## owner of the page (fitting plugin)
-        self.event_owner= page_info.event_owner
-         ## current model
+        self.event_owner = page_info.event_owner
+        ## current model
         self.model = page_info.model
         ## data
@@ -430,5 +427,5 @@
         self.populate_box(dict=self.model_list_box)
         
-    def onContextMenu(self, event): 
+    def onContextMenu(self, event):
         """
         Retrieve the state selected state
@@ -440,19 +437,18 @@
         pos = self.ScreenToClient(pos)
        
-        self.PopupMenu(self.popUpMenu, pos) 
+        self.PopupMenu(self.popUpMenu, pos)
       
-        
     def onUndo(self, event):
         """
         Cancel the previous action
         """
-        event = PreviousStateEvent(page = self)
+        event = PreviousStateEvent(page=self)
         wx.PostEvent(self.parent, event)
         
     def onRedo(self, event):
         """
-        Restore the previous action cancelled 
-        """
-        event = NextStateEvent(page= self)
+        Restore the previous action cancelled
+        """
+        event = NextStateEvent(page=self)
         wx.PostEvent(self.parent, event)
     
@@ -461,5 +457,5 @@
         Create empty sizer for a panel
         """
-        self.vbox  = wx.BoxSizer(wx.VERTICAL)
+        self.vbox = wx.BoxSizer(wx.VERTICAL)
         self.sizer0 = wx.BoxSizer(wx.VERTICAL)
         self.sizer1 = wx.BoxSizer(wx.VERTICAL)
@@ -470,11 +466,11 @@
         self.sizer6 = wx.BoxSizer(wx.VERTICAL)
         
-        self.sizer0.SetMinSize((PANEL_WIDTH,-1))
-        self.sizer1.SetMinSize((PANEL_WIDTH,-1))
-        self.sizer2.SetMinSize((PANEL_WIDTH,-1))
-        self.sizer3.SetMinSize((PANEL_WIDTH,-1))
-        self.sizer4.SetMinSize((PANEL_WIDTH,-1))
-        self.sizer5.SetMinSize((PANEL_WIDTH,-1))
-        self.sizer6.SetMinSize((PANEL_WIDTH,-1))
+        self.sizer0.SetMinSize((PANEL_WIDTH, -1))
+        self.sizer1.SetMinSize((PANEL_WIDTH, -1))
+        self.sizer2.SetMinSize((PANEL_WIDTH, -1))
+        self.sizer3.SetMinSize((PANEL_WIDTH, -1))
+        self.sizer4.SetMinSize((PANEL_WIDTH, -1))
+        self.sizer5.SetMinSize((PANEL_WIDTH, -1))
+        self.sizer6.SetMinSize((PANEL_WIDTH, -1))
         
         self.vbox.Add(self.sizer0)
@@ -491,10 +487,10 @@
         """
         self.vbox.Layout()
-        self.vbox.Fit(self) 
+        self.vbox.Fit(self)
         self.SetSizer(self.vbox)
         self.Centre()
  
-    def set_owner(self,owner):
-        """ 
+    def set_owner(self, owner):
+        """
         set owner of fitpage
         
@@ -502,5 +498,5 @@
         
         """
-        self.event_owner = owner    
+        self.event_owner = owner
         self.state.event_owner = owner
         
@@ -512,13 +508,13 @@
     def get_data(self):
         """
-        return the current data 
-        """
-        return self.data  
+        return the current data
+        """
+        return self.data
     
     def get_data_list(self):
         """
-        return the current data 
-        """
-        return self.data_list  
+        return the current data
+        """
+        return self.data_list
     
     def set_manager(self, manager):
@@ -529,5 +525,5 @@
         
         """
-        self._manager = manager  
+        self._manager = manager
         self.state.manager = manager
         
@@ -543,7 +539,7 @@
         self.initialize_combox()
         
-    def initialize_combox(self): 
-        """
-        put default value in the combobox 
+    def initialize_combox(self):
+        """
+        put default value in the combobox
         """  
         ## fill combox box
@@ -568,5 +564,5 @@
                 self.text2.Show()
                 self.structurebox.Enable()
-                self.text2.Enable()            
+                self.text2.Enable()
                 
     def set_dispers_sizer(self):
@@ -575,6 +571,6 @@
         """
         self.sizer4.Clear(True)
-        name="Polydispersity and Orientational Distribution"
-        box_description= wx.StaticBox(self, -1,name)
+        name = "Polydispersity and Orientational Distribution"
+        box_description = wx.StaticBox(self, -1, name)
         box_description.SetForegroundColour(wx.BLUE)
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
@@ -585,13 +581,13 @@
         # best size for MAC and PC
         if ON_MAC:
-            size_q = (30, 20)      
+            size_q = (30, 20)
         else:
-            size_q = (20, 15)    
-        self.disp_help_bt = wx.Button(self,wx.NewId(),'?', 
-                                      style = wx.BU_EXACTFIT,
+            size_q = (20, 15)
+        self.disp_help_bt = wx.Button(self, wx.NewId(), '?',
+                                      style=wx.BU_EXACTFIT,
                                       size=size_q)
-        self.disp_help_bt.Bind(wx.EVT_BUTTON, 
-                        self.on_pd_help_clicked,id= self.disp_help_bt.GetId())
-        self.disp_help_bt.SetToolTipString("Helps for Polydispersion.")       
+        self.disp_help_bt.Bind(wx.EVT_BUTTON,
+                        self.on_pd_help_clicked, id=self.disp_help_bt.GetId())
+        self.disp_help_bt.SetToolTipString("Helps for Polydispersion.")
         
         self.Bind(wx.EVT_RADIOBUTTON, self._set_dipers_Param,
@@ -602,23 +598,22 @@
         self.disable_disp.SetValue(True)
         sizer_dispersion = wx.BoxSizer(wx.HORIZONTAL)
-        sizer_dispersion.Add((20,20))
-        name=""#Polydispersity and \nOrientational Distribution "
-        sizer_dispersion.Add(wx.StaticText(self,-1,name))
-        sizer_dispersion.Add(self.enable_disp )
-        sizer_dispersion.Add((20,20))
-        sizer_dispersion.Add(self.disable_disp )
-        sizer_dispersion.Add((25,20))
+        sizer_dispersion.Add((20, 20))
+        name = ""  # Polydispersity and \nOrientational Distribution "
+        sizer_dispersion.Add(wx.StaticText(self, -1, name))
+        sizer_dispersion.Add(self.enable_disp)
+        sizer_dispersion.Add((20, 20))
+        sizer_dispersion.Add(self.disable_disp)
+        sizer_dispersion.Add((25, 20))
         sizer_dispersion.Add(self.disp_help_bt)
         
-        ## fill a sizer for dispersion         
-        boxsizer1.Add( sizer_dispersion,0,
-                wx.TOP|wx.BOTTOM|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE,border=5)
-        #boxsizer1.Add( (10,10) )
-        #boxsizer1.Add( sizer_select_dispers )
-        self.sizer4_4 = wx.GridBagSizer(6,5)
-
-        boxsizer1.Add( self.sizer4_4  )
+        ## fill a sizer for dispersion
+        boxsizer1.Add(sizer_dispersion, 0,
+                wx.TOP | wx.BOTTOM | wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE,
+                border=5)
+        self.sizer4_4 = wx.GridBagSizer(6, 5)
+
+        boxsizer1.Add(self.sizer4_4)
         #-----------------------------------------------------
-        self.sizer4.Add(boxsizer1,0, wx.EXPAND | wx.ALL, 10)
+        self.sizer4.Add(boxsizer1, 0, wx.EXPAND | wx.ALL, 10)
         self.sizer4_4.Layout()
         self.sizer4.Layout()
@@ -627,8 +622,7 @@
         self.Refresh()
         ## saving the state of enable dispersity button
-        self.state.enable_disp= self.enable_disp.GetValue()
-        self.state.disable_disp= self.disable_disp.GetValue()
+        self.state.enable_disp = self.enable_disp.GetValue()
+        self.state.disable_disp = self.disable_disp.GetValue()
         self.SetupScrolling()
-
     
     def onResetModel(self, event):
@@ -637,7 +631,7 @@
         """
         menu = event.GetEventObject()
-        ## post help message for the selected model 
+        ## post help message for the selected model
         msg = menu.GetHelpString(event.GetId())
-        msg +=" reloaded"
+        msg += " reloaded"
         wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
         self.Show(False)
@@ -650,5 +644,5 @@
             ## reset state of checkbox,textcrtl  and  regular parameters value
             
-            self.reset_page(previous_state)   
+            self.reset_page(previous_state)
         self.state.m_name = self.m_name
         self.Show(True)
@@ -657,5 +651,5 @@
         """
         Report the current fit results
-        """   
+        """
         # Get plot image from plotpanel
         images, canvases = self.get_images()
@@ -663,14 +657,13 @@
         self.state.report(images, canvases)
         
-         
-    def on_save(self, event):   
+    def on_save(self, event):
         """
         Save the current state into file
-        """  
+        """
         self.save_current_state()
         new_state = self.state.clone()
         # Ask the user the location of the file to write to.
         path = None
-        if self.parent !=  None:
+        if self.parent != None:
             self._default_save_location = \
                         self.parent.parent._default_save_location
@@ -691,5 +684,5 @@
         #the manager write the state into file
         self._manager.save_fit_state(filepath=fName, fitstate=new_state)
-        return new_state  
+        return new_state
     
     def on_copy(self, event):
@@ -702,7 +695,4 @@
         wx.CallAfter(self.get_copy)
         
-        # messages depending on the flag
-        #self._copy_info(None)
-        
     def on_paste(self, event):
         """
@@ -711,6 +701,6 @@
         if event != None:
             event.Skip()
-        # It seems MAC needs wxCallAfter for the setvalues 
-        # for multiple textctrl items, otherwise it tends to crash once a while.
+        # It seems MAC needs wxCallAfter for the setvalues
+        # for multiple textctrl items, otherwise it tends to crash once a while
         wx.CallAfter(self.get_paste)
         # messages depending on the flag
@@ -735,6 +725,6 @@
             infor = "error"
         # inform msg to wx
-        wx.PostEvent( self.parent.parent, 
-                      StatusEvent(status= msg, info=infor))
+        wx.PostEvent(self.parent.parent,
+                    StatusEvent(status=msg, info=infor))
         
     def _get_time_stamp(self):
@@ -742,8 +732,9 @@
         return time and date stings
         """
-        # date and time 
-        year, month, day,hour,minute,second,tda,ty,tm_isdst= time.localtime()
-        current_time= str(hour)+":"+str(minute)+":"+str(second)
-        current_date= str( month)+"/"+str(day)+"/"+str(year)
+        # date and time
+        year, month, day, hour, minute, second, tda, ty, tm_isdst \
+            = time.localtime()
+        current_time = str(hour) + ":" + str(minute) + ":" + str(second)
+        current_date = str(month) + "/" + str(day) + "/" + str(year)
         return current_time, current_date
       
@@ -752,8 +743,8 @@
         save history of the data and model
         """
-        if self.model==None:
-            msg="Can not bookmark; Please select Data and Model first..."
+        if self.model == None:
+            msg = "Can not bookmark; Please select Data and Model first..."
             wx.MessageBox(msg, 'Info')
-            return 
+            return
         self.save_current_state()
         new_state = self.state.clone()
@@ -761,23 +752,25 @@
         self.number_saved_state += 1
         current_time, current_date = self._get_time_stamp()
-        #name= self.model.name+"[%g]"%self.number_saved_state 
-        name = "Fitting: %g]" % self.number_saved_state 
-        name += self.model.__class__.__name__ 
+        #name= self.model.name+"[%g]"%self.number_saved_state
+        name = "Fitting: %g]" % self.number_saved_state
+        name += self.model.__class__.__name__
         name += "bookmarked at %s on %s" % (current_time, current_date)
-        self.saved_states[name]= new_state
+        self.saved_states[name] = new_state
         
         ## Add item in the context menu
-        msg =  "Model saved at %s on %s"%(current_time, current_date)
-         ## post help message for the selected model 
-        msg +=" Saved! right click on this page to retrieve this model"
-        wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+        msg = "Model saved at %s on %s" % (current_time, current_date)
+        ## post help message for the selected model
+        msg += " Saved! right click on this page to retrieve this model"
+        wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
         
         id = wx.NewId()
-        self.popUpMenu.Append(id,name,str(msg))
+        self.popUpMenu.Append(id, name, str(msg))
         wx.EVT_MENU(self, id, self.onResetModel)
-        wx.PostEvent(self.parent.parent, 
-                     AppendBookmarkEvent(title=name, 
-                                         hint=str(msg), handler=self._back_to_bookmark))
-    def _back_to_bookmark(self, event): 
+        wx.PostEvent(self.parent.parent,
+                     AppendBookmarkEvent(title=name,
+                                         hint=str(msg),
+                                         handler=self._back_to_bookmark))
+    
+    def _back_to_bookmark(self, event):
         """
         Back to bookmark
@@ -786,6 +779,4 @@
         self.onResetModel(event)
         self._draw_model()
-        #self.save_current_state()
-        
         
     def old_on_bookmark(self, event):
@@ -793,19 +784,19 @@
         save history of the data and model
         """
-        if self.model==None:
-            msg="Can not bookmark; Please select Data and Model first..."
+        if self.model == None:
+            msg = "Can not bookmark; Please select Data and Model first..."
             wx.MessageBox(msg, 'Info')
-            return 
-        if hasattr(self,"enable_disp"):
+            return
+        if hasattr(self, "enable_disp"):
             self.state.enable_disp = copy.deepcopy(self.enable_disp.GetValue())
         if hasattr(self, "disp_box"):
             self.state.disp_box = copy.deepcopy(self.disp_box.GetSelection())
 
-        self.state.model.name= self.model.name
+        self.state.model.name = self.model.name
         
         #Remember fit engine_type for fit panel
-        if self.engine_type == None: 
+        if self.engine_type == None:
             self.engine_type = "scipy"
-        if self._manager !=None:
+        if self._manager != None:
             self._manager._on_change_engine(engine=self.engine_type)
         
@@ -818,25 +809,25 @@
         ##Add model state on context menu
         self.number_saved_state += 1
-        #name= self.model.name+"[%g]"%self.number_saved_state 
-        name= self.model.__class__.__name__+"[%g]"%self.number_saved_state 
-        self.saved_states[name]= new_state
+        name = self.model.__class__.__name__ + "[%g]" % self.number_saved_state
+        self.saved_states[name] = new_state
         
         ## Add item in the context menu
         
-        year, month, day,hour,minute,second,tda,ty,tm_isdst= time.localtime()
-        my_time= str(hour)+" : "+str(minute)+" : "+str(second)+" "
-        date= str( month)+"|"+str(day)+"|"+str(year)
-        msg=  "Model saved at %s on %s"%(my_time, date)
-         ## post help message for the selected model 
-        msg +=" Saved! right click on this page to retrieve this model"
-        wx.PostEvent(self.parent.parent, StatusEvent(status = msg ))
+        year, month, day, hour, minute, second, tda, ty, tm_isdst \
+            = time.localtime()
+        my_time = str(hour) + " : " + str(minute) + " : " + str(second) + " "
+        date = str(month) + "|" + str(day) + "|" + str(year)
+        msg = "Model saved at %s on %s" % (my_time, date)
+        ## post help message for the selected model
+        msg += " Saved! right click on this page to retrieve this model"
+        wx.PostEvent(self.parent.parent, StatusEvent(status=msg))
         
         id = wx.NewId()
-        self.popUpMenu.Append(id,name,str(msg))
+        self.popUpMenu.Append(id, name, str(msg))
         wx.EVT_MENU(self, id, self.onResetModel)
         
     def onSetFocus(self, evt):
         """
-        highlight the current textcrtl and hide the error text control shown 
+        highlight the current textcrtl and hide the error text control shown
         after fitting
         """
@@ -851,7 +842,7 @@
         """
         try:
-            if path==None:
-                wx.PostEvent(self.parent.parent, StatusEvent(status=\
-                            " Selected Distribution was not loaded: %s"%path))
+            if path == None:
+                wx.PostEvent(self.parent.parent,
+        StatusEvent(status=" Selected Distribution was not loaded: %s" % path))
                 return None, None
             input_f = open(path, 'r')
@@ -860,5 +851,5 @@
             
             angles = []
-            weights=[]
+            weights = []
             for line in lines:
                 toks = line.split()
@@ -873,5 +864,5 @@
             return numpy.array(angles), numpy.array(weights)
         except:
-            raise 
+            raise
 
     def createMemento(self):
@@ -880,5 +871,4 @@
         """
         return self.state.clone()
-    
     
     def save_current_state(self):
@@ -888,7 +878,7 @@
         self.state.engine_type = copy.deepcopy(self.engine_type)
         ## save model option
-        if self.model!= None:
-            self.disp_list= self.model.getDispParamList()
-            self.state.disp_list= copy.deepcopy(self.disp_list)
+        if self.model != None:
+            self.disp_list = self.model.getDispParamList()
+            self.state.disp_list = copy.deepcopy(self.disp_list)
             self.state.model = self.model.clone()
         #save radiobutton state for model selection
